<?php

function commerce_card_admin_form() {  
  $form['text'] = array(
    '#type' => 'fieldset',
    '#title' => t('Text Options'),
  );
  $form['text']['commerce_card_name_placeholder_text'] = array(
    '#type'  => 'textfield',
    '#title' => t('Credit Card Name Placeholder Text'),
    '#default_value' => variable_get('commerce_card_name_placeholder_text', 'Your Name'),
    '#description' => 'Enter the placeholder text to be displayed on the credit card image.',
  );
  
  
 $form['options'] = array(
    '#type' => 'fieldset',
    '#title' => t('Configuration Options'),
  );
  $form['options']['commerce_card_width'] = array(
    '#type'  => 'textfield',
    '#title' => t('The width of the credit card image.'),    
    '#default_value' => variable_get('commerce_card_width', 350),    
    '#description' => t('Change this value to the width of the credit card image in pixels.'),    
  );  
  
  return system_settings_form($form);
}


function commerce_card_admin_form_validate($form, $form_state){
  $width = $form_state['values']['commerce_card_width'];
  if (!is_numeric($width)) {
      form_set_error('commerce_card_width', t('You must enter an number for the width.'));
  }
  elseif ($width <= 0) {
      form_set_error('commerce_card_width', t('The width must be a positive number.'));
  }
}